## net.dontdrinkandroot.utils.lang.math
Class RandomUtils

    java.lang.Object
      net.dontdrinkandroot.utils.lang.math.RandomUtils

    public class RandomUtils

extends java.lang.Object

Field Summary
`static double` `PARETO_EIGHTY_PERCENT_UNDER_HUNDRED`
`static double` `PARETO_EIGHTY_PERCENT_UNDER_HUNDREDTHOUSAND`
`static double` `PARETO_EIGHTY_PERCENT_UNDER_TENTHOUSAND`
`static double` `PARETO_EIGHTY_PERCENT_UNDER_THOUSAND`
`static double` `PARETO_EIGHTY_PERCENT_UNDER_TWENTYTHOUSAND`
`static double` `PARETO_EIGHTY_PERCENT_UNDER_TWOHUNDREDTHOUSAND`

Constructor Summary
`RandomUtils()`

Method Summary
`static double` `pareto(double alpha)` Taken from http://introcs.cs.princeton.edu/java/stdlib/.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARETO_EIGHTY_PERCENT_UNDER_HUNDRED

    public static double PARETO_EIGHTY_PERCENT_UNDER_HUNDRED

### PARETO_EIGHTY_PERCENT_UNDER_THOUSAND

    public static double PARETO_EIGHTY_PERCENT_UNDER_THOUSAND

### PARETO_EIGHTY_PERCENT_UNDER_TENTHOUSAND

    public static double PARETO_EIGHTY_PERCENT_UNDER_TENTHOUSAND

### PARETO_EIGHTY_PERCENT_UNDER_TWENTYTHOUSAND

    public static double PARETO_EIGHTY_PERCENT_UNDER_TWENTYTHOUSAND

### PARETO_EIGHTY_PERCENT_UNDER_HUNDREDTHOUSAND

    public static double PARETO_EIGHTY_PERCENT_UNDER_HUNDREDTHOUSAND

### PARETO_EIGHTY_PERCENT_UNDER_TWOHUNDREDTHOUSAND

    public static double PARETO_EIGHTY_PERCENT_UNDER_TWOHUNDREDTHOUSAND

Constructor Detail

### RandomUtils

    public RandomUtils()

Method Detail

### pareto

    public static double pareto(double alpha)

  Taken from http://introcs.cs.princeton.edu/java/stdlib/.

       80% under 1000: 0.24
       80% under 10000: 0.18
       80% under 20000: 0.165
       80% under 100000: 0.14
       80% under 200000: 0.135

  Parameters:
    `alpha` -
  Returns:

Copyright © 2013 dontdrinkandroot. All Rights Reserved.